Bug 1129840 - action and model option is missing in add watchdog for template auto-completion
Summary: action and model option is missing in add watchdog for template auto-completion
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-api
Version: 3.5
Hardware: All
OS: Solaris
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Martin Sivák
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 19:01 UTC by Lukas Svaty
Modified: 2016-02-10 19:41 UTC (History)
6 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:39:46 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32251 master MERGED restapi: Fix watchdog RSDL definitions Never
oVirt gerrit 32420 ovirt-engine-3.5 MERGED restapi: Fix watchdog RSDL definitions Never

Description Lukas Svaty 2014-08-13 19:01:24 UTC
Description of problem:
action and model option is missing in add watchdog for template auto-completion

Version-Release number of selected component (if applicable):
ovirt-engine-cli-3.5.0.3-1.20140718.git0d72c6e.el6.noarch


How reproducible:
100%

Steps to Reproduce:
1. in ovirt-shell run add watchdog --template-id `id` TAB for options

Actual results:
No action and model for watchdog for templates

Expected results:
action and model must exist as out test automation is counting on it

Comment 1 Juan Hernández 2014-08-21 09:41:18 UTC
The watchdogs sub-collection of templates isn't documented in the RSDL metadata. To fix this issue it needs to be documented, including the model and option parameters, then the Python SDK needs to be regenerated.

Comment 2 Lukas Svaty 2014-09-16 09:59:57 UTC
verified in vt3.1

Comment 3 Sandro Bonazzola 2014-10-17 12:39:46 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.